---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: hostname
  namespace: default
  annotations:
    kubernetes.io/ingress.class: traefik
    io.rancher.scheduler.affinity.host_label: "no-load-balancer=true"
spec:
  rules:
  - host: www.cloud.huitelec.fr
    http:
      paths:
      - backend:
          serviceName: hostname
          servicePort: web
---
apiVersion: v1
kind: Service
metadata:
  name: hostname
  namespace: default
spec:
  selector:
    k8s-app: hostname
  ports:
  - name: web
    port: 80
    targetPort: 9376
---
apiVersion: v1
kind: Pod
metadata:
  name: hostname
  labels:
    k8s-app: hostname
spec:
  containers:
  - name: hostname
    image: gcr.io/google_containers/serve_hostname
    ports:
    - containerPort: 9376